# Barre_Filtre

## Props

<!-- @vuese:Barre_Filtre:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|panierChoisi|Variable indicative du fait de savoir si le mode panier est activé ou pas (change l'affichage des filtres disponibles)|`Boolean`|`false`|-|
|darktheme|Signal d'activation ou non du theme sombre|—|`false`|-|
|filtre_choisi|signal de détection pour la remize à zéro de la barre de filtre|—|`false`|-|

<!-- @vuese:Barre_Filtre:props:end -->


## Events

<!-- @vuese:Barre_Filtre:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|filtre_choisi|dès qu'un filtre est choisi|Le nom du filtre choisi|

<!-- @vuese:Barre_Filtre:events:end -->


## Methods

<!-- @vuese:Barre_Filtre:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|a|Renvoie le filtre choisi au composant Volet_Menu|-|

<!-- @vuese:Barre_Filtre:methods:end -->


